| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Public Member Functions
Adafruit_GFX_Button Class Reference

## Detailed Description

Definition at line 108 of file Adafruit_GFX.h.

## Public Member Functions
| Adafruit_GFX_Button (void)
void | initButton (Adafruit_GFX *gfx, int16_t x, int16_t y, uint8_t w, uint8_t h, uint16_t outline, uint16_t fill, uint16_t textcolor, char *label, uint8_t textsize)
void | drawButton (boolean inverted=false)
boolean | contains (int16_t x, int16_t y)
void | press (boolean p)
boolean | isPressed ()
boolean | justPressed ()
boolean | justReleased ()

## Member Function Documentation

## ◆ contains()

boolean Adafruit_GFX_Button::contains | ( | int16_t | x,
|  | int16_t | y
| ) |  |

Definition at line 1087 of file Adafruit_GFX.cpp.

## ◆ drawButton()

void Adafruit_GFX_Button::drawButton | ( | boolean | inverted = `false` | ) |

Definition at line 1061 of file Adafruit_GFX.cpp.

## ◆ initButton()

void Adafruit_GFX_Button::initButton | ( | Adafruit_GFX * | gfx,
|  | int16_t | x,
|  | int16_t | y,
|  | uint8_t | w,
|  | uint8_t | h,
|  | uint16_t | outline,
|  | uint16_t | fill,
|  | uint16_t | textcolor,
|  | char * | label,
|  | uint8_t | textsize
| ) |  |

Definition at line 1043 of file Adafruit_GFX.cpp.

## ◆ isPressed()

boolean Adafruit_GFX_Button::isPressed | ( |  | ) |

Definition at line 1100 of file Adafruit_GFX.cpp.

## ◆ justPressed()

boolean Adafruit_GFX_Button::justPressed | ( |  | ) |

Definition at line 1104 of file Adafruit_GFX.cpp.

## ◆ justReleased()

boolean Adafruit_GFX_Button::justReleased | ( |  | ) |

Definition at line 1108 of file Adafruit_GFX.cpp.

## ◆ press()

void Adafruit_GFX_Button::press | ( | boolean | p | ) |

Definition at line 1094 of file Adafruit_GFX.cpp.

## Constructor & Destructor Documentation

## ◆ Adafruit_GFX_Button()

Adafruit_GFX_Button::Adafruit_GFX_Button | ( | void |  | ) |

Definition at line 1038 of file Adafruit_GFX.cpp.

The documentation for this class was generated from the following files:

- Adafruit_GFX.h
- Adafruit_GFX.cpp